<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\Anmeldung\HandleAnmeldungEinzelveranstaltung;

class HandleAnmeldungEinzelveranstaltungController extends \Kufer\KuferTools\Basis\Anmeldung\HandleAnmeldungEinzelveranstaltung\HandleAnmeldungEinzelveranstaltungController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleAnmeldungEinzelveranstaltungUseCase(
      $this->getRequestObj()
    );
  }

  protected function getNewRequestObj()
  {
    return new HandleAnmeldungEinzelveranstaltungRequest();
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Mitarbeiter\Anmeldung\AnmeldeFormular\AnmeldeFormularController($pUseCaseResponse->anmeldeStatus);
  }
}